<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
      class="form-two-columns"
>
  <mat-form-field *ngIf="getFormControl(formDefinition.name) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.nameLabel | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.description) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.description | translate }}</mat-label>
    <textarea [formControl]="fd"
              [required]="formValidationHelper.hasRequiredField(fd)"
              [solidifyValidation]="errors"
              cdkAutosizeMaxRows="10"
              cdkAutosizeMinRows="5"
              cdkTextareaAutosize
              matInput
    ></textarea>
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>
</form>
